The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

В Debian 7 Wheezy прекращена поддержка Mediawiki, VLC, libv8 и SOGo

28.05.2016 08:39

В Debian 7 Wheezy, который недавно перешёл на стадию расширенной поддержки (LTS), прекращён выпуск обновлений с устранением уязвимостей для Mediawiki, VLC, libv8 и SOGo. Ранее поддержка также была прекращена для пакетов chromium-browser, virtualbox и typo3-src. Под вопросом прекращение поддержки asterisk, openswan, movabletype-opensource и mantis. Пользователям данных программ рекомендуется обновить свои системы до Debian 8 "Jessie". Что касается Mediawiki, то из-за окончания времени жизни ветки 1.19 поддержка данного пакета также прекращена не только в Wheezy, но и в актуальной стабильной ветке Debian 8 "Jessie".

  1. Главная ссылка к новости (https://lists.debian.org/debia...)
  2. OpenNews: В состав Debian включена файловая система ZFS
  3. OpenNews: В сборках Debian для архитектуры i386 повышены требования к классу CPU
  4. OpenNews: Началось бета-тестирование Devuan, форка Debian без systemd
  5. OpenNews: Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться до 31 мая 2018 года
  6. OpenNews: Конфликт из-за поставки устаревшей версии XScreenSaver в Debian
Лицензия: CC-BY
Тип: К сведению
Короткая ссылка: https://opennet.ru/44504-debian
Ключевые слова: debian, lts
При перепечатке указание ссылки на opennet.ru обязательно


Обсуждение (52) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Аноним (-), 08:52, 28/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • –10 +/
    всем арч!!😃
     
     
  • 2.7, Аноним (-), 10:10, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Арч - хорошо, но и только. Там что, какие-то свои безглючные десктопные окружения завозят?
     
     
  • 3.39, виндотролль (ok), 19:19, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • –4 +/
    Верь не верь, но да. Из-за того, что все более свежее, а, главное, ванильное, багов, обычно, сильно меньше
     
     
  • 4.40, . (?), 19:56, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Бре-е-е-ехня! (С) Краморов в "Неуловимых мстителях"
     
  • 4.46, Аноним (-), 04:21, 29/05/2016 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Пой это своим девочкам, птичка, я на арче сижу.
     
     
  • 5.56, Аноним (-), 08:22, 30/05/2016 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Слезь с него и начни уже им пользоваться.
     
  • 2.29, Аноним (-), 15:28, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Нене, оставь помирания системы при перезагрузке после апдейта себе.
     
  • 2.36, Аноним (-), 16:57, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • +7 +/
    Не, systemd'ы - не надо!
    Уж лучше вы к нам, на Gentoo.
     
     
  • 3.63, Михалыч (?), 06:59, 01/06/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Тогда и вы к нам, на FreeBSD :)
     

  • 1.2, kleem_head (?), 09:06, 28/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    да, да и тебе не хворать
     
  • 1.3, Аноним (-), 09:07, 28/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +8 +/
    Вот тебе, бабушка, и LTS.
     
  • 1.4, Аноним (-), 09:11, 28/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    интересно, а в убунту оно как?
     
     
  • 2.10, anonymous (??), 10:18, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • +10 +/
    в убунту просто молча бросают
     
     
  • 3.42, Аноним (-), 22:09, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    В Убунте хотя бы изначально есть разделение на main и universe, и понятно, что будет поддерживаться, а что нет. А в Дебиане -- как решит левая пятка мейнтейнера. Вот сегодня не повезло пользователям этих пакетов.
     
  • 2.14, arzeth (ok), 10:30, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • +6 +/
    В Ubuntu действует LTS только для пакетов из репозитория main (и несвободного restricted), в котором есть 7300 пакетов против 45 500 пакетов в universe (в нём VLC).
    Потому что идея universe (и несвободного multiverse) в том, что сообщество поддерживает пакеты, а не Canonical.
    https://www.wilderssecurity.com/threads/ubuntu-lts-many-vulnerabilities-despit
     

  • 1.9, vitalif (ok), 10:17, 28/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Да нафига вообще медиавики (и другие веб-приложения) в дебиане, их всё равно ставить оттуда неудобно)
     
     
  • 2.33, Аноним (-), 15:35, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Да нафига вообще медиавики (и другие веб-приложения) в дебиане, их всё равно
    > ставить оттуда неудобно)

    Вообще-то как раз удобно. И потом еще можно чексумы файлов проверить, в случае чего. Но иногда софт таки покрывается мхом, даже с серверной стороны.

     
  • 2.48, Ананимас (ok), 09:26, 29/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Чтобы автоматом поставить необходимые зависимости. Те же модули похапе.
     

  • 1.15, Аноним (-), 10:38, 28/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • –5 +/
    Просто нужно уходить на дистры с непрерывным циклом
    Ибо по сути и по факту, lts эти, дыра ибо:
    Есть свежая утилита, который нужен свежий да тот же glibc или xorg и болт
    Не lts ежегодки или полугодки, тоже нифига не лучше
    Ибо тупо приходится ждать цикла дистра, для новой версии (от 6-9 месяцев, до года-полутора)
    Кроме того, обновляшки же, порой лучше переставить систему - экономичнее по времени выйдет

    Вот и выходит, что актуальности тю-тю

    Что же на счёт "возьми да собери":
    Уважаемые собиралки, гентушники, чтоб вас, если в этом прикол для вас, это не значит, что в этом прикол для всех, так шо - идите лесом

     
     
  • 2.16, Аноним (-), 10:40, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • +9 +/
    так каникулы же начались, можешь и пособирать.
     
  • 2.18, Аноним (-), 10:46, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    хочешь иметь все самое новое — вливайся в проект, а другие, по старому обычаю, как-нибудь будут исходить из реальных потребностей
     
     
  • 3.19, Аноним (-), 11:02, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • –4 +/
    А вы только пользуетесь? Линуксу не нужны пользователи.


     
     
  • 4.28, Аноним (-), 14:31, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Линуксу не нужны лично вы
    Покажите мне хоть одну лицензию ПО, в которой явно указано:
    Использование данного ПО без вливания какого-либо вклада в проект запрещается
    Так, что уважаемый, закройтесь и идите в лес.
     
     
  • 5.31, Аноним (-), 15:31, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Да никто не запрещает. Просто поддержку ты стребовать ни с кого не сможешь. Ну разве что если отдельно за это заплатишь. А просто потому что ублажать тебя с твоими капризами забесплатно никто совершенно не обязан. Если это иногда получается - так это случайное совпадение, потому что авторам или майнтайнерам как оказалось хотелось того же что и тебе. А вот если ты к ним таой красивый придешь рассказывать что и кому они должны, они таки достанут средние пальцы и фиги из карманов и объяснят что ничего у тебя не занимали.
     
     
  • 6.60, Аноним (-), 14:04, 30/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    И кому они этим хуже сделают Мне ни холодно ни жарко, зато они открыто заявят т... большой текст свёрнут, показать
     
     
  • 7.65, Аноним (-), 01:57, 02/06/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Они на этом ничего не теряют, а в лучшем случае экономят время на общении со вся... большой текст свёрнут, показать
     
  • 2.20, vitalif (ok), 11:09, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • +1 +/
    сиди на sid'е, считай тот же непрерывный цикл)
     
     
  • 3.35, h31 (ok), 16:11, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Sid с точки зрения безопасности - вообще дыра полная. У дебиана есть отдельная команда, которая занимается безопасностью, но она поддерживает только стабильные выпуски. Соответственно, всем будет пофиг, если в сид попадет дырявый пакет, и если его и будут фиксить, то с черепашьей скоростью.
     
  • 2.23, freehck (ok), 11:57, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • +5 +/
    > по сути и по факту, lts эти, дыра ибо

    А вот и нет. Людям важна не свежесть софта, а то, чтобы не нарушался привычный режим работы. Очень часто в новой версии меняется интерфейс, менюшки переносятся, переделывают формат конфига, изменяется формат вывода утилиты, так что скрипты, завязанные на него, внезапно ломаются после обновления. Поэтому в роллинг-релизах ни одно обновление нормально не проходит - обязательно придётся разгребать что-нибудь. Поэтому при роллинг-релизе пользователю приходится переучиваться на лету из-за слишком частых обновлений программ.

    Другое дело - на пару-тройку лет фиксируем версии, и обеспечиваем пользователя обновлениями безопасности. Это гарантия того, что у пользователя в течение 2-3 лет всё будет работать, как часы. И само существование LTS говорит лишь о том, что пользователям 2-3 лет мало, они зачастую хотят срок поддержки подольше.

     
     
  • 3.27, Аноним (-), 14:28, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Согласен, в отношении серверов либо организаций, где остановка на пару часов раб... большой текст свёрнут, показать
     
     
  • 4.66, Аноним (-), 02:07, 02/06/2016 [^] [^^] [^^^] [ответить]  
  • +/
    А те у кого мозгов побольше и руки попрямее, догадываются что создать свой дистр туева хуча работы, которую в одно лицо не наработать. Это означает что нужна команда. На самом деле, "капитану корабля" не обязательно быть самым крутым программистом на планете, однако он должен понимать как это выглядит и иметь нефиговые менеджерские таланты, чтобы избежать технически провальных решений, собрать команду и потом все это по пути не растерять. За это мы и уважаем тех кто это смог.
     
  • 3.34, Аноним (-), 15:36, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Это в теории А на практике Арч обновляется так часто, что проблемы не успевают... большой текст свёрнут, показать
     
     
  • 4.44, . (?), 22:31, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    > Впрочем, это всего лишь мой обывательский опыт.

    Сколько стоит минута простоя твоего сервака?
    Ни-че-го не стоит?!?
    ... ну собственно вот и весь твой опыт :-\

     
  • 4.58, freehck (ok), 12:11, 30/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Всё это сообщение - клевета и неумелая пропоганда Arch, не имеющая с Debian ничего общего вообще. Я пользуюсь им уже 7 лет, и НИ РАЗУ такой дряни в стабильной ветке не видел. Более того, даже в нестабильной описанное выше если и бывает, то очень, очень-очень редко.
     
  • 4.67, Аноним (-), 02:11, 02/06/2016 [^] [^^] [^^^] [ответить]  
  • +/
    > Впрочем, это всего лишь мой обывательский опыт.

    А ты уволься со своей работы, подними серверов и пусть доход от их работы и будет твоей зарплатой. Так доходчивее что такое стабильность, продакшн и вообше. Если ты сел на диету потому что пользователи задолбаные тормозами, глюками и падениями сайтов разбежались - значит ты что-то делал не так.

     
  • 3.62, None (??), 15:05, 31/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    > всё будет работать, как часы

    Ну да. Вот тут выяснилось у одного хостера, что file 5.09 криво определяет некоторые jpg как какой-то своп.
    Вопрос хостеру - пофиксите? Ответ хостера - идите на #$%, у нас ubuntu 12 LTS

    А в 5.22 уже всё ок

     
     
  • 4.64, Andrey Mitrofanov (?), 09:24, 01/06/2016 [^] [^^] [^^^] [ответить]  
  • +/
    > Вопрос хостеру - пофиксите? Ответ хостера - идите на #$%, у нас
    > ubuntu 12 LTS

    Ну, и почему Вы не пошли? На bugs.ubuntu.com??

    > А в 5.22 уже всё ок

     

  • 1.21, Отражение луны (ok), 11:32, 28/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Какой вообще смысл в такой поддержке? Закрыли бы уже тогда выпуск полностью.
     
     
  • 2.24, angra (ok), 12:09, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Забросили с десяток пакетов из пары десятков тысяч и уже исчез смысл?
     

  • 1.22, Аноним (-), 11:50, 28/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Мэтью Гаррет был прав. А вообще, эти пакеты можно было и апнуть - вон даже в CentOS 6 апнули Squid с 3.1 до 3.4
     
  • 1.26, Аноним (-), 14:16, 28/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Но VLC-то за что????
     
     
  • 2.32, Аноним (-), 15:33, 28/05/2016 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Но VLC-то за что????

    За то что в 7-м дебиане версия vlc очень уж архаичная и бэкпортировать на нее исправления из более новых версий майнтайнеры видимо устали. За столько лет vlc все-таки ушел вперед.

     
     
  • 3.57, Аноним (-), 10:22, 30/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    В таких случаях можно бы и обновлять софт. vlc - не самая критичная к стабильности софтина.
    Сложно бекпортировать - просто обновляй. Что так сложно понять?
    Сейчас все ставят левые репы для многих программ, т е дефолтные программы и уязвимые и тухлые и не используются почти, а в итоге их еще и выкидывают из дистра.
     
     
  • 4.68, Аноним (-), 02:13, 02/06/2016 [^] [^^] [^^^] [ответить]  
  • +/
    > В таких случаях можно бы и обновлять софт. vlc - не самая
    > критичная к стабильности софтина.

    Можно и у дебиана на этот случай тоже есть решения. Можно бэкпорты взять, можно перейти на новый дистр, а если мало то и на тестинг. Но чем ближе к роллинговой модели тем больше сломов от несовместимостей и пользователь превращается в QA и майнтайнер, а то и просто в тестовый манекен.

     

  • 1.37, djbaldey (ok), 18:39, 28/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    По мне, так чтобы libv8, пусть не main, так хотя бы в backports был нормальный. Без него и "nodejs" и "postgresql-plv8" ни как. А то придётся сервера на jessie переводить, что геморройно...
     
     
  • 2.45, й (?), 00:22, 29/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    nodejs и postgres надо ставить из реп девелоперов. для debian тоже.
     

  • 1.43, увася (?), 22:30, 28/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    ну и какая альтернатива VLC кроме mplayer?
     
     
  • 2.50, Аноним (-), 11:25, 29/05/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Мне кажется что старую версию оставят, только прекратят исправлять в ней критичные ошибки. Посмотри в Debian Backports, может там есть новый!
     
  • 2.53, НяшМяш (ok), 17:55, 29/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    https://mpv.io/ ?
     
     
  • 3.55, soarin (ok), 05:32, 30/05/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Для Debian 7 то c glibc версии 2.13? :)
    Ничего не поделаешь - "стабильность".
     

  • 1.54, Аноним (-), 00:00, 30/05/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • –2 +/
    Видимо, расширенная поддержка дебиана такая же расширенная как и винды. надо же было выпилить полторы программы, не удераться.
     
     
  • 2.69, Аноним (-), 02:16, 02/06/2016 [^] [^^] [^^^] [ответить]  
  • +/
    > Видимо, расширенная поддержка дебиана такая же расширенная как и винды. надо же
    > было выпилить полторы программы, не удераться.

    Предложи свои услуги по майнтенансу - их вернут. Если ты будешь прилежно бэкпортировать все секурити фиксы в окаменелый код трехлетней или какой там давности. Правда разработчики вовсе не обещали анализ того затрагивает ли починеный баг версию трехлетней давности, этим ты озаботишься сам. Постепенно заметив что приходится жить в чужом коде лишь для того чтобы его спортировать на архаичную версию, которую в следующем релизе все-равно того.

     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    PostgresPro
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2022 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру